//=========================================================================
//Copyright LizardOfOz.
//This is a VERY early version intended to prototype maps.
//Expect things to change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy, Velly, JPRAS - Saxton Hale's model imitating the Jungle Inferno short.
//  MegapiemanPHD - Hale's voice lines.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

listeners <- {}

//The higher the value the LATER it will execute
function AddListener(event, listener, order)
{
    if (!(event in listeners))
        listeners[event] <- []
    listeners[event].push([order, listener])
    listeners[event].sort(@(it, that) it[0] - that[0]);
}

function FireListeners(event, params)
{
    if (!(event in listeners))
        return;

    foreach (entry in listeners[event])
        entry[1].call(this, params)
}